public class Light : SmartDevice
{

    //Base class for all light devices
    // this implements strategy pattern because it has behaviours that are set in the sub classes.
    protected IBrightnessBehavior _brightnessBehavior;
    protected IColorBehaviour _colorBehavior;

    public Light(ISmartHomeMediator mediator)
        : base(mediator)
    {

    }

    public void TurnOn()
    {
        Console.WriteLine("Turning in light");
    }

    public void TurnOff()
    {
        Console.WriteLine("Turning off light");
    }

    public void ChangeColor(string color)
    {
        //Delegate call to behaviour
        _colorBehavior.SetColor(color);
    }

    public void ChangeBrightness(int level)
    {
        _brightnessBehavior.SetBrightness(level);
    }


}