public class Lock : SmartDevice
{
    //This is the lock class that will use the lock behaviour to lock and unlock the door.
    //It will also notify the mediator when the lock is locked or unlocked.
    //Strategy pattern is used here 
    protected ILockBehaviour _lockBehaviour;

    public Lock(ISmartHomeMediator mediator) : base(mediator)
    {

    }



    public void Locks()
    {
        _lockBehaviour.Lock();
        Mediator.Notify(this, "Locked");
    }

    public void Unlock()
    {
        _lockBehaviour.Unlock();
        Mediator.Notify(this, "Unlocked");
    }


}