public class Thermostat : SmartDevice
{
    protected ITemperatureChangeBehavior _temperatureChangeBehavior;
    protected IDisplayTemperatureBehavior _displayTemperatureBehavior;

    public Thermostat(
        ISmartHomeMediator mediator)
        : base(mediator)
    {

    }

    public void DisplayTemperature()
    {
        _displayTemperatureBehavior.DisplayTemperature();
    }

    public void SetTemperature(int temp)
    {
        // Implementation for setting temperature
    }

    public void IncreaseTemperature(int temp)
    {
        _temperatureChangeBehavior.IncreaseTemperature(temp);
    }

    public void DecreaseTemperature(int temp)
    {
        _temperatureChangeBehavior.DecreaseTemperature(temp);
    }
}